import 'dart:typed_data';

import 'package:vid/us/vid_us_data_http_reader.dart';

import '../reader.dart';

class AsyncCachedVidDataReader extends AsyncVidDataReaderBase {
  AsyncCachedVidDataReader(Uint8List buffer,
      {DownloadCallback? downloadCallback})
      : super('') {
    initChunk(buffer.length);
    appendChunk(buffer);
    Future.delayed(
      const Duration(milliseconds: 200),
      () {
        updateProgress(1.0);
      },
    );
  }

  @override
  void close() {}

  @override
  void startDownload() {}
}
