import 'package:fis_common/event/event_type.dart';
import 'package:vid/us/vid_us_image.dart';

import '../interface/data_host.dart';

abstract class VidDataHostBase implements VidDataHostInterface {
  late final String _url;

  VidDataHostBase(String url) {
    _url = url;
  }

  @override
  String get url => _url;

  /// 帧数据加载完成事件
  final frameLoaded = FEventHandler<VidUsImage>();
}
